## ros-one-roseus 1.7.5-102jammy.20251207.2221

=== debian/changelog ===
ros-one-roseus (1.7.5-102jammy.20251207.2221) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 22:21:14 +0000
