=== debian/control ===
Source: ros-one-roseus
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), coreutils, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-actionlib-tutorials, ros-one-angles, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-euslisp, ros-one-geneus, ros-one-geometry-msgs, ros-one-jskeus, ros-one-message-generation, ros-one-mk, ros-one-rosbash, ros-one-rosbuild, ros-one-roscpp, ros-one-roslang, ros-one-rosmsg, ros-one-rosnode, ros-one-rospack, ros-one-rostest, ros-one-rostopic, ros-one-sensor-msgs, ros-one-shape-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2-ros, ros-one-visualization-msgs
Homepage: http://pr.willowgarage.com/wiki/roseus
Standards-Version: 3.9.2

Package: ros-one-roseus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-actionlib-tutorials, ros-one-dynamic-reconfigure, ros-one-euslisp, ros-one-geneus, ros-one-geometry-msgs, ros-one-jskeus, ros-one-message-runtime, ros-one-rosbash, ros-one-roscpp, ros-one-roslang, ros-one-rosmsg, ros-one-rosnode, ros-one-rospack, ros-one-rostest, ros-one-sensor-msgs, ros-one-shape-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2-ros, ros-one-visualization-msgs
Description: EusLisp client for ROS Robot Operating System.
